package com.sifang.modules.sunshine.SystemSetting.form;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class AddTraderContractVo {

    private String id;

    private String traderId;

    private String contractNumber;

    @JsonFormat(pattern="yyyy-MM-dd")
    private Date startTime;
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date endTime;

    private String traderKeyword;

    private String nhKeyword;

    private String contractUrl;

    private String contractFileName;

    // 1暂存  2提交
    private String ifSubmit;

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public String getIfSubmit() {
        return ifSubmit;
    }

    public void setIfSubmit(String ifSubmit) {
        this.ifSubmit = ifSubmit;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getTraderKeyword() {
        return traderKeyword;
    }

    public void setTraderKeyword(String traderKeyword) {
        this.traderKeyword = traderKeyword;
    }

    public String getNhKeyword() {
        return nhKeyword;
    }

    public void setNhKeyword(String nhKeyword) {
        this.nhKeyword = nhKeyword;
    }

    public String getContractUrl() {
        return contractUrl;
    }

    public void setContractUrl(String contractUrl) {
        this.contractUrl = contractUrl;
    }

    public String getContractFileName() {
        return contractFileName;
    }

    public void setContractFileName(String contractFileName) {
        this.contractFileName = contractFileName;
    }
}
